package com.vazil.vridge.docs.repository;

import com.vazil.vridge.docs.model.GuideIndex;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface GuideIndexRepository extends CrudRepository<GuideIndex, String> {
    List<GuideIndex> findAll();
    List<GuideIndex> findAllByOrderByOrder();
    List<GuideIndex> findAllByLocaleOrderByOrder(String locale);
    List<GuideIndex> findAllByDepthAndLocaleOrderByOrder(Integer depth, String locale);
    List<GuideIndex> findAllByPathContainingAndDepthAndLocale(String path, Integer depth, String locale);
    List<GuideIndex> findAllByPathContainingAndDepthAndLocaleOrderByOrderDesc(String path, Integer depth, String locale);
    GuideIndex findByPathAndLocale(String path, String locale);
    GuideIndex findByPathContainingAndDepthAndOrderAndLocale(String path, Integer depth, Integer order, String locale);
}
